apiVersion: apps/v1
kind: Deployment
metadata:
  name: delvin-backend-deployment
  labels:
    app: delvin-backend
spec:
  replicas: 1
  selector:
    matchLabels:
      app: delvin-backend
  template:
    metadata:
      labels:
        app: delvin-backend
    spec:
      containers:
        - name: delvin-backend-container
          image: tangibleai/delvin:latest
          imagePullPolicy: Always
          envFrom:
            - secretRef:
                name: delvin-dotenv
          ports:
            - containerPort: 8000

---

apiVersion: v1
kind: Service
metadata:
  name: delvin-backend
spec:
  type: ClusterIP
  ports:
    - port: 80
      targetPort: 8000
  selector:
    app: delvin-backend
